Loading...
Searching...
No Matches
BALL::ConnectedToPredicate Class Reference

`#include <BALL/KERNEL/standardPredicates.h>`

Inheritance diagram for BALL::ConnectedToPredicate:

## Classes

class | CTPNode

## Public Member Functions

| ConnectedToPredicate ()
| ConnectedToPredicate (const ConnectedToPredicate &predicate)
virtual | ~ConnectedToPredicate ()
virtual void | clear ()
virtual bool | operator() (const Atom &atom) const
void | dump () const
void | dump (const CTPNode *current) const
virtual void | setArgument (const String &argument)
Public Member Functions inherited from BALL::ExpressionPredicate
| ExpressionPredicate ()
| ExpressionPredicate (const ExpressionPredicate &predicate)
| ExpressionPredicate (const String &argument)
virtual | ~ExpressionPredicate ()
ExpressionPredicate & | operator= (const ExpressionPredicate &predicate)
bool | operator== (const ExpressionPredicate &predicate) const
const String & | getArgument () const
Public Member Functions inherited from BALL::UnaryPredicate< Atom >
virtual | ~UnaryPredicate ()
virtual bool | operator() (const Atom &) const

## Additional Inherited Members

String | argument_

## Detailed Description

Predicate class for atoms being connected to a constellation defined by an expression. Syntax: \begin{tabular}{cl} Bonds

  - & single

= & double

# & triple

\symbol{126} & aromatic

. & any

Elements &

  symbol & the desired element

* & any element

Groups &

  ( ) & symbols enlosed by brackets denote groups

\end{tabular}

Definition at line 480 of file standardPredicates.h.

## Constructor & Destructor Documentation

## ConnectedToPredicate() [1/2]

BALL::ConnectedToPredicate::ConnectedToPredicate | ( |  | ) |

## ConnectedToPredicate() [2/2]

BALL::ConnectedToPredicate::ConnectedToPredicate | ( | const ConnectedToPredicate & | predicate | ) |

## ~ConnectedToPredicate()

virtual BALL::ConnectedToPredicate::~ConnectedToPredicate | ( |  | ) |

virtual

## Member Function Documentation

## clear()

virtual void BALL::ConnectedToPredicate::clear | ( |  | ) |

virtual

Clear method

Reimplemented from BALL::ExpressionPredicate.

## dump() [1/2]

void BALL::ConnectedToPredicate::dump | ( |  | ) | const

## dump() [2/2]

void BALL::ConnectedToPredicate::dump | ( | const CTPNode * | current | ) | const

## operator()()

virtual bool BALL::ConnectedToPredicate::operator() | ( | const Atom & | atom | ) | const

virtual

Evaluate the predicate for the atom atom.

Parameters

  atom | the atom to test

Returns
  true, if the predicate is true, false otherwise

Reimplemented from BALL::ExpressionPredicate.

## setArgument()

virtual void BALL::ConnectedToPredicate::setArgument | ( | const String & | argument | ) |

virtual

set the Argument of this ExpressionPredicate

Parameters

  argument | the string to use for this predicate

Reimplemented from BALL::ExpressionPredicate.